Package Details: xplayer 2.4.2-2

Git Clone URL: https://aur.archlinux.org/xplayer.git (read-only, click to copy)
Package Base: xplayer
Description: Simple media player. X-Apps Project.
Upstream URL: https://github.com/linuxmint/xplayer
Licenses: GPL
Conflicts: xplayer-git
Provides: xplayer
Submitter: ion203
Maintainer: ion203
Last Packager: ion203
Votes: 23
Popularity: 0.48
First Submitted: 2016-03-20 21:32 (UTC)
Last Updated: 2022-02-14 14:24 (UTC)

Latest Comments

paintie2 commented on 2021-10-17 14:17 (UTC)

Just installed this lastnight, and today found out what zeitgeist is. Nothing upfront about that this logs every single thing done on the machine?! This is why linux will go down the shitter; no regard for choice and privacy. Never installing this again.

ion203 commented on 2019-05-18 03:11 (UTC)

Thanks djsutton. This patch looks good so I've updated the 2.0.2-2 release.

djsutton commented on 2019-05-15 02:58 (UTC) (edited on 2019-05-15 23:55 (UTC) by djsutton)

I have a patch for an upstream issue at https://github.com/linuxmint/xplayer/issues/147, which is a segfault when starting any video that is apparently only affecting AUR/Manjaro users right now.

I'll float a pull request for the upstream repo and leave a comment on the issue there too, but this patch will solve the problem until that fix is incorporated into an upstream release.

To patch, run this command in the AUR git repo after cloning and before running makepkg:

curl -L https://github.com/djsutton/aur-xplayer/pull/1.patch | git am

Or, you can just clone the whole patched repo at https://github.com/djsutton/aur-xplayer

ion203 commented on 2018-07-20 01:50 (UTC)

Looks like it's python2-xdg specifically. Thanks for the note, will add to optdepends

natrix commented on 2018-07-19 22:57 (UTC) (edited on 2018-07-19 22:57 (UTC) by natrix)

xplayer needs the "python-xdg" deps to search for film subtitles. In my local PKBUILD, I added it as a explicit dependency.

ion203 commented on 2017-12-09 19:45 (UTC)

ReDemoNBR, thank you for the note. I will add this.

ReDemoNBR commented on 2017-12-09 19:35 (UTC)

It's safe to add "armv7h" to arch in PKGBUILD

marmistrz commented on 2016-09-27 16:06 (UTC)

ion203: ok, quoted your post in the bugtracker, https://github.com/linuxmint/xplayer/issues/22

ion203 commented on 2016-09-25 22:32 (UTC)

Re: xapps-git; I commented on the git version of this package, but I should've put it both places. That update won't happen until Clem stages a 1.0.8 release - the xapp change only happened a couple weeks ago. Re: grilo; I completely disabled grilo in the PKGBUILD by bumping the required version in configure.ac from 0.2.0 to 0.9.0 (there's no autoconf option for it). Haven't seen anything new about that, so going to leave that disabled for now.

marmistrz commented on 2016-09-25 08:14 (UTC)

Hmmm... the grilo error disappeared after rebuilding. I didn't need xapps-git for it. kernelmd: maybe you used xplayer-git?

kernelmd commented on 2016-09-21 16:37 (UTC) (edited on 2016-09-21 16:38 (UTC) by kernelmd)

This package doesn't build without xapps library. I have packaged this library and posted it on AUR. Add xapps-git as dependency, please.

ion203 commented on 2016-07-09 00:02 (UTC)

marmistrz, I don't have it as a dependency, but you have "grilo" installed and xplayer is enabling grilo support at compile-time. I'm guessing this an upstream issue so for now I'm looking into disabling that at compile time.

marmistrz commented on 2016-07-08 10:11 (UTC)

I'm running xplayer and get: Couldn't load the '/usr/lib/xplayer/plugins/grilo/grilo.ui' interface. /usr/lib/xplayer/plugins/grilo/grilo.ui:113:1 Invalid object type 'XplayerSearchEntry' Make sure that Xplayer is properly installed